<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class GalleryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('galleries')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'gallery.gallery.view',
                'name'      => 'View Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.create',
                'name'      => 'Create Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.edit',
                'name'      => 'Update Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.delete',
                'name'      => 'Delete Gallery',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'gallery.gallery.verify',
                'name'      => 'Verify Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.approve',
                'name'      => 'Approve Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.publish',
                'name'      => 'Publish Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.unpublish',
                'name'      => 'Unpublish Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.cancel',
                'name'      => 'Cancel Gallery',
            ],
            [
                'slug'      => 'gallery.gallery.archive',
                'name'      => 'Archive Gallery',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/gallery/gallery',
                'name'        => 'Gallery',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/gallery/gallery',
                'name'        => 'Gallery',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'gallery',
                'name'        => 'Gallery',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Gallery',
                'module'    => 'Gallery',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'gallery.gallery.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
