<?php

namespace Litecms\Gallery\Workflow;

use Litecms\Gallery\Models\Gallery;
use Litecms\Gallery\Notifications\GalleryWorkflow as GalleryNotifyer;
use Notification;

class GalleryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Gallery $gallery
     *
     * @return void
     */
    public function complete(Gallery $gallery)
    {
        return Notification::send($gallery->user, new GalleryNotifyer($gallery, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Gallery $gallery
     *
     * @return void
     */
    public function verify(Gallery $gallery)
    {
        return Notification::send($gallery->user, new GalleryNotifyer($gallery, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Gallery $gallery
     *
     * @return void
     */
    public function approve(Gallery $gallery)
    {
        return Notification::send($gallery->user, new GalleryNotifyer($gallery, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Gallery $gallery
     *
     * @return void
     */
    public function publish(Gallery $gallery)
    {
        return Notification::send($gallery->user, new GalleryNotifyer($gallery, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Gallery $gallery
     *
     * @return void
     */
    public function archive(Gallery $gallery)
    {
        return Notification::send($gallery->user, new GalleryNotifyer($gallery, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Gallery $gallery
     *
     * @return void
     */
    public function unpublish(Gallery $gallery)
    {
        return Notification::send($gallery->user, new GalleryNotifyer($gallery, 'unpublish'));;

    }
}
